#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

typedef long long LL;

vector<int> solve(vector<int> A) {
    LL s = 0;
    for(int j = 0; j < A.size(); j++) {
        s += 1LL * A[j];
    }
    int ch, minr = INT_MAX;
    vector<bool> k(A.size(), 0);
    for(int i = 0; i < (1 << A.size()); i++) {
        LL s1 = 0;
        int jk = 0;
        for(int j = 0; j < A.size(); j++) {
            if((i >> j) & 1) {
                s1 += 1LL * A[j];

                jk++;
                if(s1 >= s / 2 + s % 2) {
                    break;
                }
            }
        }
        if(s1 >= s / 2 + s % 2) {
            if(minr > abs((int)A.size() - 2 * jk)) {
                minr = abs((int)A.size() - 2 * jk), ch = i;
            }
        }
    }
    vector<int> ans;
    for(int j = 0; j < A.size(); j++) {
        if((ch >> j) & 1) {
            ans.push_back(j);
            k[j] = true;
        }
    }
    for(int j = 0; j < A.size(); j++) {
        if(!k[j]) {
            ans.push_back(j);
        }
    }
    return ans;
}
